using K3DAsyncEngineLib;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace lol_coder.Tornado
{
    public class K3DEventHandlerBase : KAEventHandler
    {
        virtual public void OnAddPause(int bSuccess, string SceneName, int AnimationType, int FrameNo, int Delay, int bAuto) { }

        virtual public void OnAddPauseByName(int bSuccess, string SceneName, string AnimationName, int FrameNo, int Delay, int bAuto) { }

        virtual public void OnAddText(int bSuccess, string ObjectName, string Text, int StyleNo) { }

        virtual public void OnBeginTransaction(int iSuccess) { }

        virtual public void OnDeletePause(int bSuccess, string SceneName, int AnimationType, int FrameNo, int bAll) { }

        virtual public void OnDeletePauseByName(int bSuccess, string SceneName, string AnimationName, int FrameNo, int bAll) { }

        virtual public void OnEditText(int bSuccess, string ObjectName, string Text, int BeginPos, int EndPos, int StyleNo) { }

        virtual public void OnEndTransaction(int iSuccess) { }

        virtual public void OnHeartBeat(int bSuccess) { }

        virtual public void OnHello() { }

        virtual public void OnClose(int ErrorCode) { }

        virtual public void OnLoadProject(int bSuccess, KAScene pScene, int TotalCount) { }

        virtual public void OnCloseProject(int bSuccess, string AliasName) { }

        virtual public void OnSelectProject(int bSuccess, string AliasName) { }

        virtual public void OnLoadScene(int bSuccess, string SceneName) { }

        virtual public void OnLoadSceneForce(int bSuccess, string SceneName) { }

        virtual public void OnLogMessage(string LogMessage) { }

        virtual public void OnMessageNo(uint MessageNo) { }

        virtual public void OnPause(int bSuccess, int OutputChannelIndex, int LayerNo) { }

        virtual public void OnPlay(int bSuccess, int OutputChannelIndex, int LayerNo) { }

        virtual public void OnPlayOut(int bSuccess, int OutputChannelIndex, int LayerNo) { }

        virtual public void OnQueryAnimationCount(int bSuccess, string SceneName, int AnimationCount) { }

        virtual public void OnQueryAnimationNames(int bSuccess, string SceneName, int Index, int TotalCount, string pAnimationName) { }

        virtual public void OnQueryChartDataTable(int bSuccess, string ObjectName, int Index, int TotalCount, ref sKChartDataTable Param) { }

        virtual public void OnQueryChartObjects(int bSuccess, string SceneName, int Index, int TotalCount, ref sKChart Param) { }

        virtual public void OnQueryClassType(int bSuccess, string ObjectName, int ClassType) { }

        virtual public void OnQueryIsOnAir(int bSuccess, int OutputChannelIndex, int LayerNo) { }

        virtual public void OnQueryLightNames(int bSuccess, string SceneName, int Index, int TotalCount, string pLightName) { }

        virtual public void OnQueryObjectAttribute(int bSuccess, string ObjectName, ref sKObjectAttribute pKObjectAttribute) { }

        virtual public void OnQuerySceneEffectType(int bSuccess, string SceneName, int bInEffect, eKSceneEffectType EffectType, int Duration) { }

        virtual public void OnQuerySize(int bSuccess, string ObjectName, float Width, float Height, float Depth) { }

        virtual public void OnQueryVariables(int bSuccess, string SceneName, int Index, int TotalCount, ref sKVariable Param) { }

        virtual public void OnReloadScene(int bSuccess, string FileName, string SceneName) { }

        virtual public void OnReplaceWithAFile(int bSuccess, string ObjectName, string ReplaceFileName) { }

        virtual public void OnResume(int bSuccess, int OutputChannelIndex, int LayerNo) { }

        virtual public void OnRollbackTransaction(int iSuccess) { }

        virtual public void OnSaveImageFile(int bSuccess, string SceneName, int Width, int Height, int Frame, string ImagePathName) { }

        virtual public void OnDownloadThumbnail(int bSuccess, string SceneName, int Width, int Height, int Frame, string ImagePathName) { }

        virtual public void OnSaveScene(int bSuccess, string SceneName, string K3SFileName, int UseCollect) { }

        virtual public void OnScenePaused(int bSuccess, int OutputChannelIndex, int LayerNo) { }

        virtual public void OnScenePlayed(int bSuccess, int OutputChannelIndex, int LayerNo) { }

        virtual public void OnSceneAnimationPlayed(int bSuccess, int OutputChannelIndex, int LayerNo) { }

        virtual public void OnScenePrepare(int bSuccess, string SceneName, int OutputChannelIndex, int LayerNo) { }

        virtual public void OnScenePrepareEx(int bSuccess, string SceneName, int OutputChannelIndex, int LayerNo) { }

        virtual public void OnSetBackground(int bSuccess, string SceneName, ref sKBackground Param) { }

        virtual public void OnSetBackgroundPauseAtZeroFrameAsStandBy(int bSuccess, string SceneName, int bPause) { }

        virtual public void OnSetBackgroundFill(int bSuccess, string SceneName, int R, int G, int B, int A) { }

        virtual public void OnSetBackgroundTexture(int bSuccess, string SceneName, string TextureFileName) { }

        virtual public void OnSetBackgroundVideo(int bSuccess, string SceneName, string VideoFileName, int LoopCount, int LoopInfinite) { }

        virtual public void OnSetBackgroundLiveIn(int bSuccess, string SceneName, int InputChannel) { }

        virtual public void OnUseBackground(int bSuccess, string SceneName, int Use) { }

        virtual public void OnSetChangeOut(int bSuccess, string SceneName) { }

        virtual public void OnSetChartCellData(int bSuccess, string ObjectName, float Value) { }

        virtual public void OnSetChartCSVFile(int bSuccess, string ObjectName, string FilePath) { }

        virtual public void OnSetCircleAngleKey(int bSuccess, string ObjectName, int KeyIndex, float Start, float End) { }

        virtual public void OnSetCountDown(int bSuccess, string ObjectName, float Second) { }

        virtual public void OnSetCounterNumberKey(int bSuccess, string ObjectName, int KeyIndex, double Number) { }

        virtual public void OnSetCropKey(int bSuccess, string ObjectName, int KeyIndex, float Left, float Top, float Right, float Bottom) { }

        virtual public void OnSetCylinderAngleKey(int bSuccess, string ObjectName, int KeyIndex, float Start, float End) { }

        virtual public void OnSetEdgeAttribute(int bSuccess, string ObjectName, ref sKEdgeAttribute Param) { }

        virtual public void OnSetFaceAttribute(int bSuccess, string ObjectName, ref sKFaceAttribute Param) { }

        virtual public void OnSetFont(int bSuccess, string ObjectName, ref sKFont Param) { }

        virtual public void OnSetLightAttribute(int bSuccess, string SceneName, string LightName, ref sKLightAttribute Param) { }

        virtual public void OnSetLightColor(int bSuccess, string SceneName, string LightName, ref sKLightColor Param) { }

        virtual public void OnSetMaterial(int bSuccess, string ObjectName, ref sKMaterial pKMaterial) { }

        virtual public void OnSetMaterialKey(int bSuccess, string ObjectName, int KeyIndex, ref sKMaterial pKMaterial) { }

        virtual public void OnSetLensFlaresKey(int bSuccess, string ObjectName, int KeyIndex, float X, float Y, float Z) { }

        virtual public void OnSetObjectAttribute(int bSuccess, string ObjectName, ref sKObjectAttribute pKObjectAttribute) { }

        virtual public void OnSetPosition(int bSuccess, string ObjectName, float X, float Y, float Z) { }

        virtual public void OnSetPositionKey(int bSuccess, string ObjectName, int KeyIndex, float X, float Y, float Z) { }

        virtual public void OnSetRotation(int bSuccess, string ObjectName, float X, float Y, float Z) { }

        virtual public void OnSetRotationKey(int bSuccess, string ObjectName, int KeyIndex, float X, float Y, float Z) { }

        virtual public void OnSetScale(int bSuccess, string ObjectName, float X, float Y, float Z) { }

        virtual public void OnSetScaleKey(int bSuccess, string ObjectName, int KeyIndex, float X, float Y, float Z) { }

        virtual public void OnSetEffectType(int bSuccess, string SceneName, int bInEffect, eKSceneEffectType EffectType, int Duration) { }

        virtual public void OnSetShadowAttribute(int bSuccess, string ObjectName, ref sKShadowAttribute Param) { }

        virtual public void OnSetSize(int bSuccess, string ObjectName, float Width, float Height, float Depth) { }

        virtual public void OnSetSphereAngleKey(int bSuccess, string ObjectName, int KeyIndex, float Start, float End) { }

        virtual public void OnSetStyleColor(int bSuccess, string ObjectName, ref sKStyleColor Param) { }

        virtual public void OnSetFaceColor(int bSuccess, string ObjectName, int R, int G, int B, int A) { }

        virtual public void OnSetEdgeColor(int bSuccess, string ObjectName, int R, int G, int B, int A) { }

        virtual public void OnSetShadowColor(int bSuccess, string ObjectName, int R, int G, int B, int A) { }

        virtual public void OnSetFaceTextColor(int bSuccess, string ObjectName, int BeginPos, int Count, int R, int G, int B, int A) { }

        virtual public void OnSetEdgeTextColor(int bSuccess, string ObjectName, int BeginPos, int Count, int R, int G, int B, int A) { }

        virtual public void OnSetShadowTextColor(int bSuccess, string ObjectName, int BeginPos, int Count, int R, int G, int B, int A) { }

        virtual public void OnSetTextStyle(int bSuccess, string ObjectName, int Begin, int Count, int StyleNo) { }

        virtual public void OnSetValue(int bSuccess, string ObjectName, string Value) { }

        virtual public void OnSetTextTexture(int bSuccess, string ObjectName, string FileName) { }

        virtual public void OnSetStyleTexture(int bSuccess, string ObjectName, string FileName) { }

        virtual public void OnSetDiffuseTexture(int bSuccess, string ObjectName, string FileName) { }

        virtual public void OnSetSpecularTexture(int bSuccess, string ObjectName, string FileName) { }

        virtual public void OnSetTransparencyTexture(int bSuccess, string ObjectName, string FileName) { }

        virtual public void OnSetNormalTexture(int bSuccess, string ObjectName, string FileName) { }

        virtual public void OnSetReflectionTexture(int bSuccess, string ObjectName, string FileName) { }

        virtual public void OnSetRefractionTexture(int bSuccess, string ObjectName, string FileName) { }

        virtual public void OnSetVisible(int bSuccess, string ObjectName, int bShow) { }

        virtual public void OnStop(int bSuccess, int OutputChannelIndex, int LayerNo) { }

        virtual public void OnStopAll(int iSuccess) { }

        virtual public void OnStoreTextStyle(int bSuccess, string ObjectName, string Text, int StyleCount) { }

        virtual public void OnTrigger(int bSuccess, int OutputChannelIndex, int LayerNo, int AnimationType) { }

        virtual public void OnTriggerByName(int bSuccess, int OutputChannelIndex, int LayerNo, string AnimationName) { }

        virtual public void OnTriggerObject(int bSuccess, string ObjectName, int OutputChannelIndex, int LayerNo, int AnimationType, int bWithChildren) { }

        virtual public void OnTriggerObjectByName(int bSuccess, string ObjectName, int OutputChannelIndex, int LayerNo, string AnimationName, int bWithChildren) { }

        virtual public void OnUnloadAll(int bSuccess) { }

        virtual public void OnUnloadScene(int bSuccess, string SceneName) { }

        virtual public void OnUpdateTextures(int bSuccess, string SceneName) { }

        virtual public void OnAddPathPoint(int bSuccess, string ObjectName, int Count) { }

        virtual public void OnClearPathPoints(int bSuccess, string ObjectName) { }

        virtual public void OnAddPathShapePoint(int bSuccess, string ObjectName, int Count) { }

        virtual public void OnClearPathShapePoints(int bSuccess, string ObjectName) { }

        virtual public void OnQueryScrollRemainingDistance(int bSuccess, string ObjectName, int ScrollRemainingDistance) { }

        virtual public void OnQueryScrollChildRemainingDistance(int bSuccess, string ObjectName, string ChildName, int ScrollRemainingDistance) { }

        virtual public void OnAddScrollObject(int bSuccess, string ObjectName, string ChildName) { }

        virtual public void OnSetVariableName(int bSuccess, string ObjectName, string VariableName) { }

        virtual public void OnAdjustScrollSpeed(int bSuccess, string ObjectName, float SpeedDelta) { }

        virtual public void OnSetScrollSpeed(int bSuccess, string ObjectName, float Speed) { }

        virtual public void OnSetDiffuse(int bSuccess, string ObjectName, int R, int G, int B) { }

        virtual public void OnSetAmbient(int bSuccess, string ObjectName, int R, int G, int B) { }

        virtual public void OnSetSpecular(int bSuccess, string ObjectName, int R, int G, int B) { }

        virtual public void OnSetEmissive(int bSuccess, string ObjectName, int R, int G, int B) { }

        virtual public void OnSetOpacity(int bSuccess, string ObjectName, int Opacity) { }

        virtual public void OnSetDiffuseKey(int bSuccess, string ObjectName, int KeyIndex, int R, int G, int B) { }

        virtual public void OnSetAmbientKey(int bSuccess, string ObjectName, int KeyIndex, int R, int G, int B) { }

        virtual public void OnSetSpecularKey(int bSuccess, string ObjectName, int KeyIndex, int R, int G, int B) { }

        virtual public void OnSetEmissiveKey(int bSuccess, string ObjectName, int KeyIndex, int R, int G, int B) { }

        virtual public void OnSetOpacityKey(int bSuccess, string ObjectName, int KeyIndex, int Opacity) { }

        virtual public void OnSetLoftPositionKey(int bSuccess, string ObjectName, int KeyIndex, float Start, float End) { }

        virtual public void OnModifyPathPoint(int bSuccess, string ObjectName, int Index, float X, float Y, float Z) { }

        virtual public void OnSetVideoFrame(int bSuccess, string ObjectName, int StartFrame, int StopFrame) { }

        virtual public void OnSetVideoRepeatInfo(int bSuccess, string ObjectName, int StartFrame, int StopFrame, int LoopCount, int bInfinite, int bPlayAsOut) { }

        virtual public void OnSetTextStyleLibrary(int bSuccess, string ObjectName, string Text, int StyleID) { }

        virtual public void OnAddTextStyleLibrary(int bSuccess, string ObjectName, string Text, int StyleID) { }

        virtual public void OnInitScrollObject(int bSuccess, string ObjectName) { }

        virtual public void OnSetCounterInfo(int bSuccess, string ObjectName, string Format, int UpdatePeriod, int bAddPlusSign) { }

        virtual public void OnSetCounterNumber(int bSuccess, string ObjectName, double Number) { }

        virtual public void OnSetCounterRange(int bSuccess, string ObjectName, double StartTime, double EndTime) { }

        virtual public void OnSetCounterRemainingTime(int bSuccess, string ObjectName, double BaseTime) { }

        virtual public void OnSetCounterElapsedTime(int bSuccess, string ObjectName, double BaseTime) { }

        virtual public void OnSaveObjectImage(int bSuccess, string ObjectName, string FileName) { }

        virtual public void OnSendMosMessage(int bSuccess, string MosMessage) { }

        virtual public void OnReceiveFile(int bSuccess, string ExistingFileName, string NewFileName) { }

        virtual public void OnAddObject(int bSuccess) { }

        virtual public void OnAddCloneObject(int bSuccess, string SceneName, string NewVariable) { }

        virtual public void OnSavePreviewImage(int bSuccess, string ImagePathName, int Width, int Height) { }

        virtual public void OnNewProject(int bSuccess, string AliasName) { }

        virtual public void OnQueryPickedObjects(int bSuccess, string SceneName, int index, int TotalCount, ref sKVariable Param) { }

        virtual public void OnSetSceneDuration(int bSuccess, string SceneName, int AnimationType, int Duration) { }

        virtual public void OnSetBackgroundChangeType(int bSuccess, string SceneName, eKBackgroundChangeType ChangeType) { }

        virtual public void OnSetBackgroundPauseType(int bSuccess, string SceneName, eKBackgroundPauseType PauseType) { }

        virtual public void OnDragObject(int bSuccess, string ObjectName, int X, int Y, int FrameCount) { }

        virtual public void OnMoveCamera(int bSuccess, string ObjectName, int X, int Y, int Z, int FrameCount) { }

        virtual public void OnResetDrag(int bSuccess, string ObjectName, int FrameCount) { }

        virtual public void OnCreateStory(int bSuccess) { }

        virtual public void OnInsertStory(int bSuccess) { }

        virtual public void OnMoveStory(int bSuccess) { }

        virtual public void OnSwapStory(int bSuccess) { }

        virtual public void OnDeleteStory(int bSuccess) { }

        virtual public void OnCreateItem(int bSuccess) { }

        virtual public void OnPrepareItem(int bSuccess) { }

        virtual public void OnSceneSaved(int bSuccess, string FileName) { }

        virtual public void OnResumeBackground(int bSuccess, int OutputChannelIndex, int LayerNo) { }

        virtual public void OnSetSceneScrollSpeed(int bSuccess, string SceneName, float Speed) { }

        virtual public void OnCreateWithAFile(int bSuccess, string SceneName, string FileName, string VariableName) { }

        virtual public void OnSetSceneAudioFile(int bSuccess, string SceneName, int AnimatiionType, string AudioFileName) { }

        virtual public void OnSetScrollSpeedByScenePlayer(int bSuccess, int OutputChannelIndex, int LayerNo, float Speed) { }

        virtual public void OnAdjustScrollSpeedByScenePlayer(int bSuccess, int OutputChannelIndex, int LayerNo, float SpeedDelta) { }

        virtual public void OnEnableSceneAudio(int bSuccess, string SceneName, int AnimatiionType, int bEnable) { }

        virtual public void OnInsertItem(int bSuccess) { }

        virtual public void OnDeleteItem(int bSuccess) { }

        virtual public void OnMoveItem(int bSuccess) { }

        virtual public void OnSwapItem(int bSuccess) { }

        virtual public void OnUpdateItems(int bSuccess) { }

        virtual public void OnSetPositionOfPathAnimation(int bSuccess, string ObjectName, float Position) { }

        virtual public void OnSetPositionKeyOfPathAnimation(int bSuccess, string ObjectName, int KeyIndex, float Position) { }

        virtual public void OnUpdateThumbnail(int bSuccess, string SceneName) { }

        virtual public void OnSetStyleItemTexture(int bSuccess, string ObjectName, eKStyleType ItemType, int ItemIndex, string FileName) { }

        virtual public void OnSetKeyFrame(int bSuccess, eKObjectAttribute AttributeType, string ObjectName, int KeyIndex, int Frame, eKKeyFrameType KeyFrameType) { }

        virtual public void OnSetKeyInterpolation(int bSuccess, eKObjectAttribute AttributeType, string ObjectName, int KeyIndex, eKKeyInterpolationType InInterpolation, eKKeyInterpolationType OutInterpolation) { }

        virtual public void OnSetStartFrame(int bSuccess, string ObjectName, int Frame) { }

        virtual public void OnStartVideoCapture(int bSuccess, string FilePath, int VideoCodec) { }

        virtual public void OnStopVideoCapture(int bSuccess) { }

        virtual public void OnCaptureImage(int bSuccess, string FilePath) { }

        virtual public void OnAddAbsolutePause(int bSuccess, string SceneName, int AnimationType, int FrameNo, int Delay, int bAuto) { }

        virtual public void OnResetTotalTime(int bSuccess, string SceneName, int AnimationType) { }

        virtual public void OnSetTotalTime(int bSuccess, string SceneName, int AnimationType, int Frame) { }

        virtual public void OnSetAnimationLibrary(int bSuccess, string ObjectName, int AnimationID, int bApplyAtCurrentPosition) { }

        virtual public void OnSetMaterialLibrary(int bSuccess, string ObjectName, int MaterialID) { }

        virtual public void OnSetStyleLibrary(int bSuccess, string ObjectName, int StyleID) { }

        virtual public void OnSetObjectEffectType(int bSuccess, string ObjectName, int bInEffect, eKEffectType EffectType, int Duration) { }

        virtual public void OnSetAnimationLibrary(int bSuccess, string ObjectName, string Name, int bApplyAtCurrentPosition) { }

        virtual public void OnSetMaterialLibrary(int bSuccess, string ObjectName, string Name) { }

        virtual public void OnSetStyleLibrary(int bSuccess, string ObjectName, string Name) { }

        virtual public void OnLoadStyleLibrarys(int bSuccess, string LibraryPath) { }

        virtual public void OnLoadAnimationLibrarys(int bSuccess, string LibraryPath) { }

        virtual public void OnLoadMaterialLibrarys(int bSuccess, string LibraryPath) { }

        virtual public void OnCheckVersion(int bSuccess, string ServerVersion, string SDKVersion) { }

        virtual public void OnSetEffectNone(int bSuccess, string SceneName, string ObjectName, int bAppliedObjectEffect) { }

        virtual public void OnSetEffectWipe(int bSuccess, string SceneName, string ObjectName, int bAppliedObjectEffect) { }

        virtual public void OnSetEffectPush(int bSuccess, string SceneName, string ObjectName, int bAppliedObjectEffect) { }

        virtual public void OnSetEffectTransform(int bSuccess, string SceneName, string ObjectName, int bAppliedObjectEffect) { }

        virtual public void OnSetEffectCurl(int bSuccess, string SceneName, string ObjectName, int bAppliedObjectEffect) { }

        virtual public void OnSetEffectRipple(int bSuccess, string SceneName, string ObjectName, int bAppliedObjectEffect) { }

        virtual public void OnSetEffectParticle(int bSuccess, string SceneName, string ObjectName, int bAppliedObjectEffect) { }

        virtual public void OnSetEffectFade(int bSuccess, string SceneName, string ObjectName, int bAppliedObjectEffect) { }

        virtual public void OnSetEffectDistortion(int bSuccess, string SceneName, string ObjectName, int bAppliedObjectEffect) { }

        virtual public void OnSetEffectBlink(int bSuccess, string SceneName, string ObjectName, int bAppliedObjectEffect) { }

        virtual public void OnSetEffectCrop(int bSuccess, string SceneName, string ObjectName, int bAppliedObjectEffect) { }

        virtual public void OnSetEffectBlur(int bSuccess, string SceneName, string ObjectName, int bAppliedObjectEffect) { }

        virtual public void OnSetEffectColor(int bSuccess, string SceneName, string ObjectName, int bAppliedObjectEffect) { }

        virtual public void OnSetEffectSidefade(int bSuccess, string SceneName, string ObjectName, int bAppliedObjectEffect) { }

        virtual public void OnSetEffectCutOut(int bSuccess, string SceneName, string ObjectName, int bAppliedObjectEffect) { }

        virtual public void OnSetSceneEffectType(int bSuccess, string SceneName, int bInEffect, eKSceneEffectType EffectType, int Duration) { }

        virtual public void OnQueryGroupType(int bSuccess, string ObjectName, eKGroupType GroupType) { }

        virtual public void OnQueryImageType(int bSuccess, string ObjectName, eKTextureTarget TextureTarget, eKImageType ImageType) { }

        virtual public void OnSetDiffuseTextColor(int bSuccess, string ObjectName, int BeginPos, int Count, int R, int G, int B, int A) { }

        virtual public void OnSetVideoPlayInfo(int bSuccess, string ObjectName, eKTextureTarget TextureTarget, ref sKVideoPlayInfo pVideoPlayInfo) { }

        virtual public void OnQueryVideoPlayInfo(int bSuccess, string ObjectName, eKTextureTarget TextureTarget, ref sKVideoPlayInfo pVideoPlayInfo) { }

        virtual public void OnQueryIs3D(int bSuccess, string ObjectName, int b3D) { }

        //virtual public void OnAddScrollObject2(int bSuccess, string ObjectName, string ChildName, string VariableName) { }

        virtual public void OnPlayDirect(int bSuccess, string SceneName, int OutputChannelIndex, int LayerNo) { }

        virtual public void OnSetImageType(int bSuccess, string ObjectName, eKTextureTarget TextureTarget, eKImageType ImageType) { }

        virtual public void OnCutIn(int bSuccess, int OutputChannelIndex, int LayerNo) { }

        virtual public void OnCutOut(int bSuccess, int OutputChannelIndex, int LayerNo) { }

        virtual public void OnClearNextPreview(int bSuccess, int OutputChannelIndex, int LayerNo) { }

        virtual public void OnSetAudioOutput(int bSuccess, eKPlayAudioType PlayAudioType) { }

        virtual public void OnSetMemo(int bSuccess, string ObjectName, string Memo) { }

        virtual public void OnQueryMemo(int bSuccess, string ObjectName, string Memo) { }

        virtual public void OnEnableMaterialItem(int bSuccess, string ObjectName, eKMaterialType Type, int bEnable) { }

        virtual public void OnSetDiffuseColor(int bSuccess, string ObjectName, sKColor Color) { }

        virtual public void OnSetDiffuseColorKey(int bSuccess, string ObjectName, int KeyIndex, sKColor Color) { }

        virtual public void OnSetAmbientColor(int bSuccess, string ObjectName, sKColor Color) { }

        virtual public void OnSetAmbientColorKey(int bSuccess, string ObjectName, int KeyIndex, sKColor Color) { }

        virtual public void OnSetSpecularColor(int bSuccess, string ObjectName, sKColor Color) { }

        virtual public void OnSetSpecularColorKey(int bSuccess, string ObjectName, int KeyIndex, sKColor Color) { }

        virtual public void OnSetEmissiveColor(int bSuccess, string ObjectName, sKColor Color) { }

        virtual public void OnSetEmissiveColorKey(int bSuccess, string ObjectName, int KeyIndex, sKColor Color) { }

        virtual public void OnSetSpecularSharpness(int bSuccess, string ObjectName, float Sharpness) { }

        virtual public void OnSetTransparencyOpacity(int bSuccess, string ObjectName, byte Opacity) { }

        virtual public void OnSetMaterialTextureOffset(int bSuccess, string ObjectName, float x, float y) { }

        virtual public void OnSetMaterialTextureOffsetKey(int bSuccess, string ObjectName, int KeyIndex, float x, float y) { }

        virtual public void OnSetMaterialTextureTiling(int bSuccess, string ObjectName, float x, float y) { }

        virtual public void OnSetMaterialTextureTilingKey(int bSuccess, string ObjectName, int KeyIndex, float x, float y) { }

        virtual public void OnSetMaterialTextureRotation(int bSuccess, string ObjectName, float Degree) { }

        virtual public void OnSetMaterialTextureRotationKey(int bSuccess, string ObjectName, int KeyIndex, float Degree) { }

        virtual public void OnSetMaterialTextureType(int bSuccess, string ObjectName, eKTextureType Type) { }

        virtual public void OnSetMaterialTextureFile(int bSuccess, string ObjectName, string FilePathName) { }

        virtual public void OnSetMaterialTextureFilter(int bSuccess, string ObjectName, eKTextureFilter FilterType) { }

        virtual public void OnSetMaterialTextureOpacity(int bSuccess, string ObjectName, byte Opacity) { }

        virtual public void OnSetMaterialTextureBlending(int bSuccess, string ObjectName, eKTextureBlending BlendingType) { }

        virtual public void OnSetMaterialTextureAddress(int bSuccess, string ObjectName, eKTextureAddress AddressType) { }

        virtual public void OnSetTrialPlayMode(int bSuccess) { }

        virtual public void OnQueryFont(int bSuccess, string ObjectName, ref sKFont Param) { }

        virtual public void OnSetImageOriginalSize(int bSuccess, string SceneName, string ObjectName) { }

        virtual public void OnApplyLibrary(int bSuccess, string SceneName, string ObjectName, string LibraryPath, eKEffectTarget EffectTarget) { }

        virtual public void OnSetTableValue(int bSuccess, string SceneName, string ObjectName, int Row, int Column, string Value) { }

        virtual public void OnSetTableColor(int bSuccess, string SceneName, string ObjectName, int Row, int Column, sKColor Color) { }

        virtual public void OnQueryTableValue(int bSuccess, string SceneName, string ObjectName, int Row, int Column, string Value) { }

        virtual public void OnQueryTableValues(int bSuccess, string SceneName, string ObjectName, int Index, int TotalCount, int Row, int Column, string Value) { }

        virtual public void OnQueryPauseCount(int bSuccess, string SceneName, int AnimationType, int PauseCount) { }

        virtual public void OnQueryPauseCountByName(int bSuccess, string SceneName, string AnimationName, int PauseCount) { }

        virtual public void OnPlayRange(int bSuccess, int OutputChannelIndex, int LayerNo, int PlaybackRangeNo) { }

        virtual public void OnQueryPlaybackRangeCount(int bSuccess, string SceneName, int PlaybackRangeCount) { }

        virtual public void OnQueryPlaybackRange(int bSuccess, string SceneName, int PlaybackRangeNo, int Start, int End) { }

        //virtual public void OnSetVROffset(int bSuccess, string SceneName, float Horz, float Vert) { }

        virtual public void OnSetOutputChannelIndex(int bSuccess, string SceneName, int OutputChannelIndex) { }

        virtual public void OnQueryOutputChannelIndex(int bSuccess, string SceneName, int OutputChannelIndex) { }

        virtual public void OnEndTransactionOnChannel(int bSuccess, int OutputChannelIndex) { }

        void IKAEventHandler.OnSetVROffset(int bSuccess, string SceneName, float Horz, float Vert)
        {
           
        }

        void IKAEventHandler.OnQueryTotalTime(int iSuccess, string SceneName, int AnimationType, int Frame)
        {
           
        }

        void IKAEventHandler.OnSetPathShapeOutlineThickness(int bSuccess, string SceneName, string ObjectName, float Thickness)
        {
           
        }

        void IKAEventHandler.OnEnablePathShapeOutline(int bSuccess, string SceneName, string ObjectName, int bEnable)
        {
           
        }

        void IKAEventHandler.OnPlayInNextPreview(int bSuccess, int OutputChannelIndex, int LayerNo)
        {
           
        }

        void IKAEventHandler.OnPlayOutNextPreview(int bSuccess, int OutputChannelIndex, int LayerNo)
        {
           
        }

        void IKAEventHandler.OnSetPlaybackCamera(int bSuccess, string SceneName, string ObjectName)
        {
           
        }

        void IKAEventHandler.OnSetMoveTo(int bSuccess, string SceneName, string ObjectName, float X, float Y, float Z)
        {
           
        }

        void IKAEventHandler.OnSetRotateTo(int bSuccess, string SceneName, string ObjectName, float Pitch, float Yaw, float Roll)
        {
           
        }

        void IKAEventHandler.OnSetVerticalFOV(int bSuccess, string SceneName, string ObjectName, float Angle)
        {
           
        }

        void IKAEventHandler.OnSetDelay(int bSuccess, string SceneName, string ObjectName, int Delay)
        {
           
        }

        void IKAEventHandler.OnExportVideo(int bSuccess, string SceneName, string FileName)
        {
           
        }

        void IKAEventHandler.OnStopVideoExporting(int bSuccess, string SceneName)
        {
           
        }

        void IKAEventHandler.OnQueryVideoExportingProgress(int bSuccess, string SceneName, int CurrentFrame, int TotalFrame)
        {
           
        }

        void IKAEventHandler.OnFinishedVideoExporting(int bSuccess, string FileName)
        {
           
        }

        void IKAEventHandler.OnSetPause(int bSuccess, string SceneName, int AnimationType, int FrameNo, int Delay, int bAuto)
        {
           
        }

        void IKAEventHandler.OnSetPauseByName(int bSuccess, string SceneName, string AnimationName, int FrameNo, int Delay, int bAuto)
        {
           
        }

        void IKAEventHandler.OnSetPauseWithIndex(int bSuccess, string SceneName, int AnimationType, int Index, int Delay, int bAuto)
        {
           
        }

        void IKAEventHandler.OnSetPauseWithIndexByName(int bSuccess, string SceneName, string AnimationName, int Index, int Delay, int bAuto)
        {
           
        }

        void IKAEventHandler.OnDeletePauseWithIndex(int bSuccess, string SceneName, int AnimationType, int Index, int bAll)
        {
           
        }

        void IKAEventHandler.OnDeletePauseWithIndexByName(int bSuccess, string SceneName, string AnimationName, int Index, int bAll)
        {
           
        }

        /*
        void IKAEventHandler.OnQueryTextlistOfTextObjects(int bSuccess, string SceneName, int Index, int TotalCount, string Text)
        {
           
        }

        void IKAEventHandler.OnPlayIn(int bSuccess, int OutputChannelIndex, int LayerNo)
        {
           
        }
        */
    }
}
